Bug 164791 - system-config-date --help fails poorly
system-config-date --help fails poorly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
RHEL4U3NAK
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-08-01 10:26 EDT by Chester Hosey
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0366
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 17:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0366 normal SHIPPED_LIVE system-config-date bug fix update 2006-05-03 00:00:00 EDT

  None (edit)
Description Chester Hosey 2005-08-01 10:26:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
No help exists via a --help option. Attempting to use --help causes Python to output a stack dump. If called by a non-root user, --help asks for the root password before dying poorly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/system-config-time --help
2. Stack trace

Actual Results:  Traceback (most recent call last):
  File "/usr/share/system-config-date/system-config-date.py", line 39, in ?
    opts, kbdtype = getopt.getopt(sys.argv[1:], "d:h", ["page="])
  File "/usr/lib/python2.3/getopt.py", line 89, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib/python2.3/getopt.py", line 153, in do_longs
    has_arg, opt = long_has_args(opt, longopts)
  File "/usr/lib/python2.3/getopt.py", line 170, in long_has_args
    raise GetoptError('option --%s not recognized' % opt, opt)
getopt.GetoptError: option --help not recognized

Expected Results:  Either an explanatory message showing a list of options, or a note that no options are accepted.

Additional info:
Comment 1 Nils Philippsen 2005-08-03 08:25:00 EDT
Implemented --help, catch unrecognized options better in CVS.
Comment 11 Red Hat Bugzilla 2006-05-03 17:27:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0366.html

Note You need to log in before you can comment on or make changes to this bug.